import axios from "axios";
import * as types from "../actionTypes/actionTypes"

const eventUserURL = 'https://api-marathon.herokuapp.com/api/v1/eventUsers'

//GET REGISTRED USERS
const getRegistredUsersRequest = payload => ({
	type: types.GET_REGISTRED_USERS,
	payload
});

const getRegistredUsersRequestSuccess = payload => ({
	type: types.GET_EVENTS_REQUEST_SUCCESS,
	payload
});

const getRegistredUsersRequestFail = payload => ({
	type: types.GET_EVENTS_REQUEST_FAIL,
	payload
});

export const getRegistredUsers = (_id) => dispatch => {
	dispatch(getRegistredUsersRequest());
	return axios
		.get( `${eventUserURL}/?event[0]=${_id} `)
		.then(res => {dispatch(getRegistredUsersRequestSuccess(res))
        })
		.catch(err => dispatch(getRegistredUsersRequestFail(err)));
};